<?php
/* @var $this ArticleAlbumController */
/* @var $model ArticleAlbum */

$this->breadcrumbs = array(
    'Article Albums' => array('admin'),
    Yii::t('admin', 'Manage'),
);

$this->menu = array(
    array('label' => 'Manage ArticleAlbum', 'url' => array('admin')),
    array('label' => 'Create ArticleAlbum', 'url' => array('create')),
);
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Article Albums"); ?>
</div>

<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'article-album-grid',
    'dataProvider' => $model->search(),
    'columns' => array(
        array(
            'name' => 'image',
            'value' => 'CHtml::image(Yii::app()->params["uploadUrl"] . get_class($data) . "/" . $data->image,$data->title,array("style"=>"width:100px;"))',
            'type' => 'html',
            'htmlOptions' => array("style" => "width:100px;"),
            'filter' => false,
        ),
        'id',
        array(
            'class' => 'editable.EditableColumn',
            'name' => 'title',
            'editable' => array(//editable section
                'url' => $this->createUrl('quickUpdate'),
                'placement' => 'right',
            ),
            'htmlOptions' => array('width' => '300px'),
        ),
        'article.title',
        array(
            'class' => 'CButtonColumn',
        ),
    ),
));
?>
